Subject: bug#65418: 29.1; Eglot: support clangd inactiveRegions extension

From: João Távora <[email-masked]>
Date: Mon, 4 Sep 2023 02:08:47 +0100

On Mon, Sep 4, 2023 at 2:05 AM João Távora <[email-masked]> wrote:
>
> On Thu, Aug 31, 2023 at 6:28 PM Filippo Argiolas
> <[email-masked]> wrote:
> >
> > On Sun, Aug 27, 2023 at 3:58 PM João Távora <[email-masked]> wrote:
> > > Glad to help.  You're lucky I'm not some kind of wine connoisseur ;-)
> > > Make a patch for that (and remember to also include the exportation of
> > > the '--' symbols).
> > >
> >
> > Many thanks again! That code definitely made this work week more enjoyable ;-)
> >
> > Sorry for the delay with the patch, little time left these days for
> > side projects or even trivial contributions like this.
> > See if the attached patches could do!
>
> They were very helpful.  I just pushed heavily edited versions of
> them to master.  I used them as a starting point and credited you as
> co-author (I could have done the other way round, crediting myself
>  as co-author, but the changes I did were a bit too extensive for
> that).

Drats, I just noticed a very significant detail.  I should have
checked first, but you don't seem to have a FSF Copyright Assignment
for Emacs.  So I think I'll have to revert these two commits until we
get one from you.

I'm assuming you don't have a problem with that, else, we'll have to
find another solution.  Eli, can we send Filippo a CA request form?

João